/* CSS login */
.bd-login {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh !important;
}

.form-label{
    font-weight: 500;
}

.bd-login .card {
    padding: 1.5rem;
    border-radius: 0.5rem;
    box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
}

/*END CSS login */
.bd-admin {
    padding-top: 58px;
}

.navbar .bootstrap-select:not(.input-group-btn),
.bootstrap-select[class*=col-] {
    display: block !important;
}

.admin-title-page {
    top: 58px !important;
    height: 45px;
}

#show-main-page-loading {
    height: calc(100vh - 58px);
    width: 100vw;
    display: flex;
    align-items: center;
    justify-content: center;
}

#offcanvasNavbar2 .bootstrap-select {
    opacity: 1;
    z-index: 1;
}

.div-form-login .bootstrap-select .dropdown-toggle .filter-option {
    text-align: center !important;
}

.navbar-nav .nav-link-change:hover {
    /* text-shadow: 1px 1px 10px var(--bs-navbar-active-color); */
}

.navbar-nav .nav-link.active,
.navbar-nav .nav-link.show {
    font-weight: bold;
    background-color: none !important;
    /* border-bottom: 2px solid var(--bs-navbar-active-color); */
}

.navbar-nav .nav-child.active,
.navbar-nav .nav-child.show {
    font-weight: bold;
    background-color: transparent !important;
    color: var(--bs-navbar-active-color) !important;
    /* border-bottom: 2px solid var(--bs-navbar-active-color); */
}

.div-form-login {
    height: 100vh !important;
}

.hover-pointer {
    cursor: pointer;
}

.bootstrap-select>.dropdown-toggle:after {
    display: none !important;
}

.bootstrap-select>.dropdown-toggle.bs-placeholder,
.bootstrap-select>.dropdown-toggle.bs-placeholder:active,
.bootstrap-select>.dropdown-toggle.bs-placeholder:focus,
.bootstrap-select>.dropdown-toggle.bs-placeholder:hover {
    color: var(--bs-body-color) !important;
}

.row-table-header {
    font-weight: bold;
}

.cell-table .form-check .form-check-input{
    float: none !important;
    margin-left: 0 !important;
}

.cell-table .form-check{
    padding-left: 0 !important;
}
.cell-table .form-switch{
    padding-left: 0 !important;
}

.cell-sm-title {
    font-weight: bolder;
}

.row-table-body:hover {
    background-color: rgba(var(--bs-emphasis-color-rgb), 0.075);
}

.bootstrap-select .no-results {
    color: var(--bs-body-color) !important;
    background: var(--bs-body-bg) !important;
}

/*======== Giao diện responsive=====*/
@media (min-width: 768px) {
    .navbar .language-selector .btn {
        padding-top: 0 !important;
        padding-bottom: 0 !important;
    }
}

@media (max-width: 768px) {
    .navbar .language-selector .filter-option-inner-inner {
        text-align: center !important;
    }
}

/* ====== Theme Tối =========== */
[data-bs-theme="dark"] .daterangepicker {
    background-color: #212529;
    color: #f8f9fa;
    border: 1px solid #343a40;
}

[data-bs-theme="dark"] .daterangepicker .calendar-table {
    background-color: #343a40;
}

[data-bs-theme="dark"] .daterangepicker td:hover {
    background-color: #4c545b;
    color: #99999978;
}

[data-bs-theme="dark"] .daterangepicker td.off {
    background-color: #343a40;
    color: #99999978;
}

[data-bs-theme="dark"] .daterangepicker td.off.in-range {
    background-color: #343a40;
    color: #99999978;
}

[data-bs-theme="dark"] .daterangepicker td.off.start-date {
    background-color: #343a40;
    color: #99999978;
}

[data-bs-theme="dark"] .daterangepicker td.off.end-date {
    background-color: #343a40;
    color: #99999978;
}